electricityUploadForm:
    path: /form
    controller: App\Controller\Electricity\Upload::form
    methods: [GET]
    
electricityUpload:
    path: /upload
    controller: App\Controller\Electricity\Upload::upload
    methods: [POST]

electricityBills:
    path: /bills/{year}/{month}
    controller: App\Controller\Application::index
    methods: [GET]
    defaults:
        year: 0
        month: 0
    requirements:
        year: \d+
        month: \d+
        
electricityBillsForm:
    path: /bills/form/{year}/{month}
    controller: App\Controller\Electricity\Bills::form
    methods: [GET]
    defaults:
        year: 0
        month: 0
    requirements:
        year: \d+
        month: \d+

electricityBillsData:
    path: /bills/data
    controller: App\Controller\Electricity\Bills::data
    methods: [POST]

electricityBillAddForm:
    path: /bills/add/form
    controller: App\Controller\Electricity\Bills::addForm
    methods: [GET]

electricityBillAdd:
    path: /bills/add
    controller: App\Controller\Electricity\Bills::add
    methods: [POST]

electricityCheck:
    path: /check/page
    controller: App\Controller\Application::index
    methods: [GET]    

electricityCheckConfig:
    path: /check/config
    controller: App\Controller\Electricity\Check::config
    methods: [GET]
    
electricityCheckData:
    path: /check/data
    controller: App\Controller\Electricity\Check::data
    methods: [POST]
    
electricityToExcelConfig:    
    path: /toexcel/config
    controller: App\Controller\Electricity\ToExcel::config
    methods: [GET]
    
electricityToExcelData:
    path: /toexcel/data
    controller: App\Controller\Electricity\ToExcel::data
    methods: [POST]
    